import Axios from '@/utils/request'
// 获取项目名称
export function getProject (params) {
  return Axios({
    url: '/constructionPda/contractor/getProject',
    method: 'get',
    params
  })
}
// 获取日报平台
export function getCenterId (params) {
  return Axios({
    url: '/constructionPda/queryPlatformByAdministrationCenter',
    method: 'get',
    params
  })
}
// 获取日报负责人
export function queryUserByPlatformId (params) {
  return Axios({
    url: '/constructionPda/queryUserByPlatformId',
    method: 'get',
    params
  })
}
// 获取首页颜色点
export function getContractorBacklogNumber (params) {
  return Axios({
    url: '/constructionPda/complement/getContractorBacklogNumber',
    method: 'get',
    params
  })
}
// 完工报告查看详情
export function getCompletionReportDetail (params) {
  return Axios({
    url: '/constructionPda/complement/getCompletionReportDetail',
    method: 'get',
    params
  })
}
// 查询施工人员列表
export function getBuilderList (params) {
  return Axios({
    url: '/constructionPda/getBuilderList',
    method: 'get',
    params
  })
}
// 暂停施工/启动施工
export function suspensionConstruction (params) {
  return Axios({
    url: '/constructionPda/suspensionConstruction',
    method: 'get',
    params
  })
}
// 考勤首页
export function getConstructionAttebdabce (params) {
  return Axios({
    url: '/constructionPda/getConstructionAttebdabce',
    method: 'get',
    params
  })
}
// 五想五不干获取页面数据
export function getPreConstructionInspection (params) {
  return Axios({
    url: '/constructionPda/complement/getPreConstructionInspection',
    method: 'get',
    params
  })
}
// 获取承包商消息数量
export function getContractorMessageCount (params) {
  return Axios({
    url: '/constructionPda/complement/getContractorMessageCount',
    method: 'get',
    params
  })
}
// 获取承包商消息变为已读
export function messageRead (params) {
  return Axios({
    url: '/constructionPda/complement/messageRead',
    method: 'get',
    params
  })
}
// 获取承包商消息列表
export function getContractorMessage (params) {
  return Axios({
    url: '/constructionPda/complement/getContractorMessage',
    method: 'get',
    params
  })
}
// 获取base64
export function getImageOfMinio (params) {
  return Axios({
    url: `/minio/getImageOfMinio?fileName=${params}`,
    method: 'post'
  })
}
// 图片、语音转url
export function upload (data) {
  return Axios({
    url: '/minio/upload',
    method: 'post',
    data
  })
}
// 承包商保存施工完工报告
export function saveCompletionReport (data) {
  return Axios({
    url: '/constructionPda/contractor/saveCompletionReport',
    method: 'post',
    data: data
  })
}
// 承包商保存施工完工报告
export function savePreConstructionInspection (data) {
  return Axios({
    url: '/constructionPda/complement/savePreConstructionInspection',
    method: 'post',
    data: data
  })
}
// 安全教育、培训学习记录表内容补充保存
export function saveConstructionEducation (data) {
  return Axios({
    url: `/constructionPda/saveConstructionEducation?startId=${data.startId}`,
    method: 'post',
    data: data.list
  })
}
// 承包商考勤修改保存，该接口只有承包商使用
export function modifyAttendance (data) {
  return Axios({
    url: '/constructionPda/modifyAttendance',
    method: 'post',
    data: data
  })
}
// 保存考勤详细数据
export function updateAttebdabceDetail (data) {
  return Axios({
    url: '/constructionPda/updateAttebdabceDetail',
    method: 'post',
    data: data
  })
}
// 查询安全教育首页完成情况
export function queryEducationCompletionStatus (params) {
  return Axios({
    url: '/constructionPda/queryEducationCompletionStatus',
    method: 'get',
    params
  })
}
// 查询安全教育内容
export function queryConstructionEducation (params) {
  return Axios({
    url: '/constructionPda/queryConstructionEducation',
    method: 'get',
    params
  })
}
// 查询安全教育内容
export function submitConstructionEducationPersonList (params) {
  return Axios({
    url: '/constructionPda/submitConstructionEducationPersonList',
    method: 'get',
    params
  })
}
// 更新安全教育人员信息
export function updateConstructionEducationDetail (data) {
  return Axios({
    url: '/constructionPda/updateConstructionEducationDetail',
    method: 'post',
    data: data
  })
}
// 查询安全教育人员信息
export function getConstructionEducationDetail (params) {
  return Axios({
    url: '/constructionPda/getConstructionEducationDetail',
    method: 'get',
    params
  })
}
// 查询安全教育人员列表
export function queryConstructionEducationPersonList (params) {
  return Axios({
    url: '/constructionPda/queryConstructionEducationPersonList',
    method: 'get',
    params
  })
}
// 考勤详情
export function getAttendanceDetails (params) {
  return Axios({
    url: '/constructionPda/getAttendanceDetails',
    method: 'get',
    params
  })
}
// 计划查询
export function getProjectPlan (params) {
  return Axios({
    url: '/constructionPda/contractor/getProjectPlan',
    method: 'get',
    params
  })
}
// 承包商/定员通过项目号查询日报列表，定员不需要传输status
export function queryDailyListByProjectNo (params) {
  return Axios({
    url: '/constructionPda/queryDailyListByProjectNo',
    method: 'get',
    params
  })
}// 承包商施工日报新增查询数据
export function saveDailyQuery (params) {
  return Axios({
    url: '/constructionPda/saveDailyQuery',
    method: 'get',
    params
  })
}
// 承包商/定员通过日报ID查询日报详情
export function queryDailyById (params) {
  return Axios({
    url: '/constructionPda/queryDailyById',
    method: 'get',
    params
  })
}
// 承包商计划新增
export function saveProjectPlan (data) {
  return Axios({
    url: '/constructionPda/contractor/saveProjectPlan',
    method: 'post',
    data: data
  })
}
// 承包商新增/编辑提交日报
export function saveConstructionDailyReport (data) {
  return Axios({
    url: '/constructionPda/saveConstructionDailyReport',
    method: 'post',
    data: data
  })
}
// 获取承包商人员列表
export function userInformation (params) {
  return Axios({
    url: '/constructionPda/contractor/userInformation',
    method: 'get',
    params
  })
}
// 承包商删除
export function deleteContractorUser (params) {
  return Axios({
    url: '/constructionPda/contractor/deleteContractorUser',
    method: 'get',
    params
  })
}
// 承包商启动项目
export function startProject (params) {
  return Axios({
    url: '/constructionPda/contractor/startProject',
    method: 'get',
    params
  })
}
// 项目启动查询
export function getProjectByProjectNo (params) {
  return Axios({
    url: '/constructionPda/contractor/getProjectByProjectNo',
    method: 'get',
    params
  })
}
// 项目启动查询获取签字
export function queryConstructionStartFlowLog (params) {
  return Axios({
    url: '/constructionPda/contractor/queryConstructionStartFlowLog',
    method: 'get',
    params
  })
}
// 承包商施工评价查看详情
export function queryEvaluationStart (params) {
  return Axios({
    url: '/constructionPda/contractor/queryEvaluationStart',
    method: 'get',
    params
  })
}
// 承包商启动完工评价
export function evaluationStart (params) {
  return Axios({
    url: '/constructionPda/contractor/evaluationStart',
    method: 'get',
    params
  })
}
// 承包商施工评价查看详情
export function queryEvaluationPerformance (params) {
  return Axios({
    url: '/constructionPda/construction/queryEvaluationPerformance',
    method: 'get',
    params
  })
}
// 承包商新增
export function saveContractorUser (data) {
  return Axios({
    url: '/constructionPda/contractor/saveContractorUser',
    method: 'post',
    data: data
  })
}
// 承包商修改
export function updateContractorUser (data) {
  return Axios({
    url: '/constructionPda/contractor/updateContractorUser',
    method: 'post',
    data: data
  })
}
// 登录
export function login (data) {
  return Axios({
    url: '/constructionPda/contractor/login',
    method: 'post',
    data: data
  })
}
// 判断项目是否关闭
export function getConstructionStartById (params) {
  return Axios({
    url: `constructionPda/getConstructionStartById?id=${params}`,
    method: 'get'
  })
}
