import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import vueEsign from 'vue-esign'
import './assets/css/reset.css'
import './assets/css/common.css'
import './JS/plugin'
import './JS/FastClick'
import 'vant/lib/index.css'
import filters from './JS/filter'
import './JS/vconsole.js'
import utils from './JS/utils'
import WebUploader from 'webuploader'
import VueScroller from 'vue-scroller'
import './components/icon'
import { get, post, http } from './JS/ajax'
import FastClick from 'fastclick'
import './vant'
Vue.use(WebUploader)
Vue.use(VueScroller)
Vue.use(utils)
Vue.use(vueEsign)
Vue.prototype.$http = { get, post, http }
// 注入全局过滤器
Object.keys(filters).forEach(item => {
  Vue.filter(item, filters[item])
})
function initRem () {
  const cale = window.screen.availWidth > 750 ? 2 : window.screen.availWidth / 375
  window.document.documentElement.style.fontSize = `${100 * cale}px`
}
FastClick.attach(document.body)
window.addEventListener('resize', function () {
  initRem()
})
Vue.config.productionTip = false

router.beforeEach((to, from, next) => {
  console.log(to)
  document.title = to.meta.title
  if (!to.meta.title) {
    next('/')
  } else {
    next()
  }
})

export default new Vue({
  el: '#app',
  router,
  store,
  render: h => h(App)
})
