import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'login',
    component: () => import('components/login/index.vue'),
    meta: { title: '登录', keepAlive: false, hidden: false }
  },
  {
    path: '/login',
    name: 'login',
    component: () => import('components/login/index.vue'),
    meta: { title: '登录', keepAlive: false, hidden: false }
  },
  {
    path: '/home',
    name: 'home',
    component: () => import('views/home/index.vue'),
    meta: { title: '首页', keepAlive: false, hidden: true }
  },
  {
    path: '/education',
    name: 'education',
    component: () => import('views/home/constructionStart/education/index.vue'),
    meta: { title: '安全教育', keepAlive: false, hidden: false }
  },
  {
    path: '/edit',
    name: 'edit',
    component: () => import('views/home/constructionStart/education/edit.vue'),
    meta: { title: '安全教育提示', keepAlive: false, hidden: false }
  },
  {
    path: '/entering',
    name: 'entering',
    component: () => import('views/home/constructionStart/contractor/entering.vue'),
    meta: { title: '承包商录入', keepAlive: false, hidden: false }
  },
  {
    path: '/projectStart',
    name: 'projectStart',
    component: () => import('views/home/constructionStart/projectStart/index.vue'),
    meta: { title: '项目启动', keepAlive: false, hidden: false }
  },
  {
    path: '/projectPlan',
    name: 'projectPlan',
    component: () => import('views/home/constructionStart/projectPlan/index.vue'),
    meta: { title: '项目计划', keepAlive: false, hidden: false }
  },
  {
    path: '/think',
    name: 'think',
    component: () => import('views/home/constructionProcess/think.vue'),
    meta: { title: '五想五不干', keepAlive: false, hidden: false }
  },
  {
    path: '/dailyPaper',
    name: 'dailyPaper',
    component: () => import('views/home/constructionProcess/dailyPaper.vue'),
    meta: { title: '施工日报', keepAlive: false, hidden: false }
  },
  {
    path: '/checking',
    name: 'checking',
    component: () => import('views/home/constructionProcess/checking.vue'),
    meta: { title: '考勤', keepAlive: false, hidden: false }
  },
  {
    path: '/doc',
    name: 'doc',
    meta: { title: '文档完整性', keepAlive: false, hidden: false }
  },
  {
    path: '/editCheck',
    name: 'editCheck',
    component: () => import('views/home/constructionProcess/editCheck.vue'),
    meta: { title: '考勤详情', keepAlive: false, hidden: false }
  },
  {
    path: '/evaluate',
    name: 'evaluate',
    component: () => import('views/home/completion/evaluate.vue'),
    meta: { title: '施工评价', keepAlive: false, hidden: false }
  },
  {
    path: '/report',
    name: 'report',
    component: () => import('views/home/completion/report.vue'),
    meta: { title: '完工报告', keepAlive: false, hidden: false }
  },
  {
    path: '/news',
    name: 'news',
    component: () => import('views/news/index.vue'),
    meta: { title: '消息', keepAlive: false, hidden: true }
  }
]

const router = new VueRouter({
  routes,
  scrollBehavior: () => ({ y: 0 })
})

export default router
